interface Attributes {
    [key: string]: any;
}
declare class XmlStream {
    private _xml;
    private _chunks;
    private _stack;
    private _rollbacks;
    leaf?: boolean;
    open?: boolean;
    constructor();
    private _consolidate;
    get tos(): string | undefined;
    get cursor(): number;
    openXml(docAttributes?: Attributes): void;
    openNode(name: string, attributes?: Attributes): void;
    addAttribute(name: string, value: any): void;
    addAttributes(attrs: Attributes): void;
    writeText(text: any): void;
    writeXml(xml: string): void;
    closeNode(): void;
    leafNode(name: string, attributes?: Attributes, text?: any): void;
    closeAll(): void;
    addRollback(): number;
    commit(): void;
    rollback(): void;
    get xml(): string;
    static StdDocAttributes: {
        version: string;
        encoding: string;
        standalone: string;
    };
}
export { XmlStream };
